# Class ZooDefs

java.lang.Object
org.apache.zookeeper.ZooDefs

@Public public class ZooDefs extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ZooDefs.AddWatchModes`
`static interface`
`ZooDefs.Ids`
`static interface`
`ZooDefs.OpCode`
`static interface`
`ZooDefs.Perms`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONFIG_NODE`
`static final String`
`ZOOKEEPER_NODE_SUBTREE`

## Constructor Summary

Constructors
Constructor
Description
`ZooDefs()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONFIG_NODE

public static final String CONFIG_NODE

See Also:
  - Constant Field Values

### ZOOKEEPER_NODE_SUBTREE

public static final String ZOOKEEPER_NODE_SUBTREE

See Also:
  - Constant Field Values

## Constructor Details

### ZooDefs

public ZooDefs()